<bugID>581183<Summary>Divide the Console filters into categories, and rename them for clarity</Summary><Description>Created attachment 459592
Patch.

The Console filters should be divided into two categories: "Firefox" and "Console API". This eliminates the confusion that can result from having both "Exception" and "Error" in the filter bar, and it also makes the filter bar slightly less visually overwhelming.

The attached patch implements this by making these changes:
(1) Now, as the Console is created, the buttons are grouped into the "Firefox" or "Console API" as appropriate.
(2) The buttons have been renamed to "Net", "CSS", "JS" (Firefox), "Errors", "Warnings", "Info", and "Log" (Console API). The localization identifiers have been changed as well.

This patch is part of the Firefox 4 Console UI. The current UI for the console
is simply a placeholder and has not yet been designed from a UX perspective
(see bug 559481). Because I am requesting blocking status for the Console UI,
and this is a critical part of the Console user experience, I am requesting
that this bug block the Firefox 4 release as well.</Description></bugID>